%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  FLAG
%global packver   0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Flexible and Accurate Gaussian Graphical Models

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-MASS 
Requires:         R-stats 
Requires:         R-CRAN-MASS 

%description
In order to achieve accurate estimation without sparsity assumption on the
precision matrix, element-wise inference on the precision matrix, and
joint estimation of multiple Gaussian graphical models, a novel method is
proposed and efficient algorithm is implemented. FLAG() is the main
function given a data matrix, and FlagOneEdge() will be used when one pair
of random variables are interested where their indices should be given.
Flexible and Accurate Methods for Estimation and Inference of Gaussian
Graphical Models with Applications, see Qian Y (2023)
<doi:10.14711/thesis-991013223054603412>, Qian Y, Hu X, Yang C (2023)
<doi:10.48550/arXiv.2306.17584>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
